## pgespresso 1.0

=== Makefile ===
MODULES = pgespresso
OBJS = pgespresso.o
EXTENSION = pgespresso
DATA = pgespresso--1.0.sql

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pgespresso (1.0-3) unstable; urgency=medium

  * Add compatibility with PostgreSQL 9.5 (Closes: #810635)
  * Use https for anonymous git repository access in debian/control fields
  * Bump Standards-Version to 3.9.7.0 in debian/control. No changes required.

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 03 Feb 2016 12:03:15 +0100

pgespresso (1.0-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Fix pg_virtualenv syntax in debian/tests/installcheck.
  * Use "9.2+" in debian/pgversions and B-D on pg-server-dev-all >= 148.

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 08 Aug 2014 15:18:47 +0200

pgespresso (1.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #744222)

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 11 Apr 2014 15:51:18 +0200

=== debian/control ===
Source: pgespresso
Section: database
Priority: extra
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 8.9.0), postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.7.0
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pgespresso.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pgespresso.git;a=summary
Homepage: https://github.com/2ndquadrant-it/pgespresso
XS-Testsuite: autopkgtest

Package: postgresql-9.5-pgespresso
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
Enhances: barman
Description: extension for Barman, Backup and Recovery Manager for PostgreSQL
 pgespresso is an extension that enhances Barman, Backup and Recovery
 Manager for PostgreSQL.
 .
 Starting from version 1.3.1 Barman added support for concurrent
 backup of PostgreSQL 9.2 and 9.3 servers using the "pgespresso"
 extension. Concurrent backup allows DBAs to perform full backup
 operations from a streaming replicated standby.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

EXTNAME = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Source:/ { print substr($$2, 2) }')
PKGVERS = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')

SRCDIR = $(CURDIR)
TARGET = build-$(EXTNAME)-%v

include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

override_dh_auto_clean:
	+pg_buildext clean $(SRCDIR) $(TARGET)
	$(MAKE) clean

override_dh_auto_build:
	# build all supported version
	+pg_buildext build $(SRCDIR) $(TARGET)

override_dh_auto_install: 
	# then install each of them
	+pg_buildext install $(SRCDIR) $(TARGET) postgresql-%v-$(EXTNAME)

%:
	dh $@

.PHONY: debian/control

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all
Tests: installcheck
Restrictions: needs-root allow-stderr

## pgespresso 1.2

=== Makefile ===
MODULES = pgespresso
OBJS = pgespresso.o
EXTENSION = pgespresso
DATA = $(wildcard pgespresso--*.sql)

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pgespresso (1.2-3.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-pgespresso-source-distribution=sid-10,
    6aa2055c7f26f13141225f4ee0c1e9600dbf303a/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Tue, 21 Mar 2017 14:46:32 +0100

pgespresso (1.2-3) unstable; urgency=medium

  * Limit PostgreSQL versions to 9.2, 9.3, 9.4 and 9.5

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 29 Sep 2016 12:18:29 +0200

pgespresso (1.2-2) unstable; urgency=medium

  * Upload with 9.6 support.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 29 Sep 2016 11:43:05 +0200

pgespresso (1.2-1) unstable; urgency=medium

  * Imported Upstream version 1.2
  * Updated package description

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 21 Jul 2016 14:36:25 +0200

pgespresso (1.1-2) unstable; urgency=medium

  * Fix missing SQL files

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 26 May 2016 00:19:09 +0200

pgespresso (1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1
  * Removed postgresql-9.5-compat patch (applied upstream)
  * Bump Standards-Version to 3.9.8.0 (no changes)

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 22 May 2016 15:20:56 +0200

=== debian/control ===
Source: pgespresso
Section: database
Priority: extra
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 8.9.0), postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.8.0
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pgespresso.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pgespresso.git;a=summary
Homepage: https://github.com/2ndquadrant-it/pgespresso
XS-Testsuite: autopkgtest

Package: postgresql-9.2-pgespresso
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.2
Enhances: barman
Description: extension for Barman, Backup and Recovery Manager for PostgreSQL
 pgespresso is an extension that enhances Barman, Backup and Recovery
 Manager for PostgreSQL.
 .
 Starting from version 1.3.1 Barman added support for concurrent
 backup of PostgreSQL 9.2, 9.3, 9.4 and 9.5 servers using the
 "pgespresso" extension. Concurrent backup allows DBAs to perform full
 backup operations from a streaming replicated standby.

Package: postgresql-9.3-pgespresso
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
Enhances: barman
Description: extension for Barman, Backup and Recovery Manager for PostgreSQL
 pgespresso is an extension that enhances Barman, Backup and Recovery
 Manager for PostgreSQL.
 .
 Starting from version 1.3.1 Barman added support for concurrent
 backup of PostgreSQL 9.2, 9.3, 9.4 and 9.5 servers using the
 "pgespresso" extension. Concurrent backup allows DBAs to perform full
 backup operations from a streaming replicated standby.

Package: postgresql-9.4-pgespresso
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.4
Enhances: barman
Description: extension for Barman, Backup and Recovery Manager for PostgreSQL
 pgespresso is an extension that enhances Barman, Backup and Recovery
 Manager for PostgreSQL.
 .
 Starting from version 1.3.1 Barman added support for concurrent
 backup of PostgreSQL 9.2, 9.3, 9.4 and 9.5 servers using the
 "pgespresso" extension. Concurrent backup allows DBAs to perform full
 backup operations from a streaming replicated standby.

Package: postgresql-9.5-pgespresso
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
Enhances: barman
Description: extension for Barman, Backup and Recovery Manager for PostgreSQL
 pgespresso is an extension that enhances Barman, Backup and Recovery
 Manager for PostgreSQL.
 .
 Starting from version 1.3.1 Barman added support for concurrent
 backup of PostgreSQL 9.2, 9.3, 9.4 and 9.5 servers using the
 "pgespresso" extension. Concurrent backup allows DBAs to perform full
 backup operations from a streaming replicated standby.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pgespresso-$1\.tar\.gz/ \
  https://github.com/2ndquadrant-it/pgespresso/tags .*/v?(\d\S*)\.tar\.gz
